summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Gerrand <adg@golang.org>2014-04-07 11:34:35 +1000
committerAndrew Gerrand <adg@golang.org>2014-04-07 11:34:35 +1000
commit9b407f72daea7642ee78db13091f73053d897bfc (patch)
tree12bf1a0f573ea0bcda79eb937a0adee182af8389
parentfad795b6b6dbe7025c4bb767ce0002e44d00c65d (diff)
downloadgo-9b407f72daea7642ee78db13091f73053d897bfc.tar.gz
build: remove depdenency on GNU make
LGTM=bradfitz R=bradfitz CC=golang-codereviews https://codereview.appspot.com/84920043
-rw-r--r--doc/articles/wiki/Makefile10
-rwxr-xr-xdoc/articles/wiki/test.bash2
-rwxr-xr-xsrc/run.bash1
3 files changed, 2 insertions, 11 deletions
diff --git a/doc/articles/wiki/Makefile b/doc/articles/wiki/Makefile
deleted file mode 100644
index 67563bc09..000000000
--- a/doc/articles/wiki/Makefile
+++ /dev/null
@@ -1,10 +0,0 @@
-# Copyright 2010 The Go Authors. All rights reserved.
-# Use of this source code is governed by a BSD-style
-# license that can be found in the LICENSE file.
-
-all: index.html
-
-CLEANFILES=get.bin final.bin a.out
-
-clean:
- rm -f $(CLEANFILES)
diff --git a/doc/articles/wiki/test.bash b/doc/articles/wiki/test.bash
index 46c357ebd..2997f1680 100755
--- a/doc/articles/wiki/test.bash
+++ b/doc/articles/wiki/test.bash
@@ -11,6 +11,8 @@ cleanup() {
}
trap cleanup 0 INT
+rm -f get.bin final.bin a.out
+
# If called with -all, check that all code snippets compile.
if [ "$1" == "-all" ]; then
for fn in *.go; do
diff --git a/src/run.bash b/src/run.bash
index 8e8715cab..dee30183f 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -166,7 +166,6 @@ time ./run || exit 1
[ "$GOARCH" == arm ] || # uses network, fails under QEMU
(xcd ../doc/articles/wiki
-make clean || exit 1
./test.bash || exit 1
) || exit $?